package org.pfsw.security.oauth.pkce;

import static org.junit.Assert.*;

import org.junit.Test;

public class PKCEGeneratorFactoryTest
{
  @Test
  public void test_getPKCEGenerator__plain()
  {
    assertEquals("PlainPKCEGenerator(CodeChallengeMethod(PLAIN, 'plain'))", PKCEGeneratorFactory.getPKCEGenerator(CodeChallengeMethod.PLAIN).toString());
  }

  @Test
  public void test_getPKCEGenerator__S256()
  {
    assertEquals("S256PKCEGenerator(CodeChallengeMethod(S256, 'S256'))", PKCEGeneratorFactory.getPKCEGenerator(CodeChallengeMethod.S256).toString());
  }
}