package org.pfsw.security.x509;

import static org.junit.Assert.*;

import org.junit.Test;

public class X509NameTypeTest
{
  @Test
  public void test_toString()
  {
    assertEquals("X509NameType(IP_ADDRESS, 'iPAddress')", X509NameType.IP_ADDRESS.toString());
  }

  @Test
  public void test_ofTag__invalid_tag()
  {
    assertNull(X509NameType.ofTag(66));
  }
  
  @Test
  public void test_ofTag__valid_tag()
  {
    assertTrue(X509NameType.URI == X509NameType.ofTag(6));
  }
}
