package org.pfsw.security.testhelper;

import org.pfsw.bif.ByteSequenceGenerator;

public class PrimitiveByteSquenceGenerator implements ByteSequenceGenerator
{
  private static final byte[] FIX_SEQUENCE = { 65, 66, 67, 68, 69, 70 }; // A-F

  public PrimitiveByteSquenceGenerator()
  {
    super();
  }

  @Override
  public byte[] generateByteSequence()
  {
    return FIX_SEQUENCE;
  }
}
